summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2016-12-11 16:51:58 +0700
committerAndrey Grozin <grozin@gentoo.org>2016-12-11 16:52:52 +0700
commite5512914d9f77952b4b9863338654daf90d8cba0 (patch)
tree5009ea3c0fbc824535cb2a4be2f156659e0f5616 /x11-wm/lumina
parentdev-lang/lazarus: version bump 1.6.2 (diff)
downloadgentoo-e5512914d9f77952b4b9863338654daf90d8cba0.tar.gz
gentoo-e5512914d9f77952b4b9863338654daf90d8cba0.tar.bz2
gentoo-e5512914d9f77952b4b9863338654daf90d8cba0.zip
x11-wm/lumina: bump to 1.1.0
Package-Manager: portage-2.3.0
Diffstat (limited to 'x11-wm/lumina')
-rw-r--r--x11-wm/lumina/Manifest2
-rw-r--r--x11-wm/lumina/lumina-1.1.0.ebuild65
2 files changed, 67 insertions, 0 deletions
diff --git a/x11-wm/lumina/Manifest b/x11-wm/lumina/Manifest
index 94e32557654..45960a9ddfa 100644
--- a/x11-wm/lumina/Manifest
+++ b/x11-wm/lumina/Manifest
@@ -1 +1,3 @@
DIST lumina-0.8.8_p1.tar.gz 53783856 SHA256 52bd8ec956e0a9f89c87bd957e308705aab3ac8c72130a606746af982bf361b7 SHA512 5fbfb6ad19a10b286001252cb2c93e92d4e2ed12a94c29f178afd777d0f2ff5f4d44b0300a40446f89d6c73237155d5963cda966c3fe16d4e9f07fcd4bddc6bb WHIRLPOOL 2e772fe413610ec7814c0e1de9c263c0d84afc45d9a308759ae442f8951fec7c82b16d5c8cb7eba5ce0e6f96f35a5410873370b1732e572ed469133089ad6906
+DIST lumina-1.1.0.tar.gz 55828227 SHA256 b6b4eb9c671f0eef9760b0fbd93ebd992248ac619cc7025185fc3f82d6a00373 SHA512 79b48e70fd7be3708966221c25025a8013a3ef96e00681056e99dfdd60809a3ff9d2048b3767d9fbc57c1c4f7e00fb36659cdca86fa41a322f125e9e061e88e0 WHIRLPOOL 9be956b16d04850d0ca4d32166c4c0135f088ce65a754ff0bd7ccf6d95a5c9ede42bc87ad5d617185d008e3efbbe5edfab55dca298724fcb3403973fc6a4f557
+DIST lumina-i18n-161211.tar.bz2 366262 SHA256 84b7b669b30de627d652e74aa520e2a9d82b43885fdb1046b3d708c74801584b SHA512 0b1679e70f8959fed899cfcd7a36c3257b85144bde02ff0e88212c94993ca6439608c1b3744ecc690cfdd5703b7ac9c55b9877eb81bb9b48dd85f7efbfa19ea9 WHIRLPOOL 532d6494ef09071d75c9165dceba7f23fc9d99b2ea0b79dc8401e850b55f5107db58df03395a2b1b64d3a714f4b981093b79c5f15dc53cdd20923dd5da6a9ca5
diff --git a/x11-wm/lumina/lumina-1.1.0.ebuild b/x11-wm/lumina/lumina-1.1.0.ebuild
new file mode 100644
index 00000000000..a447d67bd14
--- /dev/null
+++ b/x11-wm/lumina/lumina-1.1.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit qmake-utils
+DESCRIPTION="Lumina desktop environment"
+HOMEPAGE="http://lumina-desktop.org/"
+I18N="161211"
+SRC_URI="https://github.com/trueos/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~grozin/${PN}-i18n-${I18N}.tar.bz2"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+LANGS="af ar az bg bn bs ca cs cy da de el en_GB en_ZA es et eu fa fi fr fr_CA fur gl he hi hr hu id is it ja ka ko lt lv mk mn ms mt nb ne nl pa pl pt pt_BR ro ru sa sk sl sr sv sw ta tg th tr uk ur uz vi zh_CN zh_HK zh_TW zu"
+for lang in ${LANGS}; do
+ IUSE="${IUSE} linguas_${lang}"
+done
+
+COMMON_DEPEND="dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtsvg:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtgui:5
+ dev-qt/qtdeclarative:5
+ x11-libs/libxcb:0
+ x11-libs/xcb-util
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm"
+
+DEPEND="$COMMON_DEPEND
+ dev-qt/linguist-tools:5"
+
+RDEPEND="$COMMON_DEPEND
+ kde-frameworks/oxygen-icons
+ x11-misc/numlockx
+ x11-wm/fluxbox
+ x11-apps/xbacklight
+ media-sound/alsa-utils
+ sys-power/acpi
+ app-admin/sysstat"
+
+src_configure(){
+ eqmake5 PREFIX="${ROOT}usr" L_BINDIR="${ROOT}usr/bin" \
+ L_ETCDIR="${ROOT}etc" L_LIBDIR="${ROOT}usr/$(get_libdir)" \
+ LIBPREFIX="${ROOT}usr/$(get_libdir)" DESTDIR="${D}"
+}
+
+src_install(){
+ default
+ mv "${D}"/etc/luminaDesktop.conf.dist "${D}"/etc/luminaDesktop.conf || die
+ rm "${D}"/${PN}-* "${D}"/start-${PN}-desktop || die
+ mkdir "${D}"/usr/share/${PN}-desktop/i18n
+ for lang in ${LANGS}; do
+ if use linguas_${lang}; then
+ cp ../${PN}-i18n/*_${lang}.qm "${D}"/usr/share/${PN}-desktop/i18n/ || die "Language ${lang} not found"
+ fi
+ done
+}